SDL_SetWindowTitle(3)

NAME
SDL_SetWindowTitle - Set the title of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowTitle(SDL_Window *window, const char *title);

DESCRIPTION
This string is expected to be in UTF-8 encoding.

FUNCTION PARAMETERS

window
    the window to change

title
    the desired window title in UTF-8 format

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowTitle(3)